#include <bits/stdc++.h>
using namespace std;
string s;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie();cout.tie(0);
    if(fopen("MASO.INP","r"))
    {
        freopen("MASO.INP","r",stdin);
        freopen("MASO.OUT","w",stdout);
    }
    cin>>s;
    if(s[1]=='a')
        cout<<"11 25 2023";
    else cout<<"005 05 0019 1890";
}
